/* CSS Document */

@font-face{
  font-family: 'Open Sans';
  src: url(../font/OpenSans-VariableFont_wdth,wght.ttf);
  font-weight: normal;
  font-style: normal;
}


* {
  box-sizing: border-box;
}

html, body{
  font-family: 'Open Sans', sans-serif !important;
  font-size:14px;
  margin: 0;
  padding: 0;
  height: 100%;
  user-select: none;
}

body{
  font-family: 'Open Sans', sans-serif !important;
  margin: 0 !important;
  padding: 0 !important;
  display: grid;
  place-items: center;
}

h3{
    font-size: 16px;
    color: darkred;
    margin-top: 0;
    margin-bottom: 0px;
}

ul{
    display: block;
}

#choosefrom{
    font-size: 14px;
    padding: 3px;
    width: 50px;
    border-radius: 5px;
    color: black;
    
}

input[type=text]{
   font-family: 'Open Sans', sans-serif !important; 
   font-size: 16px;
   width: 100%;
   padding: 3px;
   border: 1px solid green;
   border-radius: 5px;
}

input[type=checkbox] {
    transform: scale(1.75);
    margin: 10px;
}

input[type=radio] {
    transform: scale(1.5);
    margin: 10px;
}

table{
    border: 1px solid plum;
}

.red{
    background-color: red;
}

.green{
    background-color: green;
}

.hide{
    visibility: hidden;
}

#confirmcourt1div,#confirmcourt2div,#confirmcourt3div,#confirmcourt4div,#confirmcourt0div{
    width: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 0px solid red;
}


#confirm1, #confirm2, #confirm3, #confirm4, #finish1, #finish2, #finish3, #finish4, #confirm0{
    width: 180px;
    padding: 0;
    margin: 0;
}

#finish1::after,#finish2::after,#finish3::after,#finish4::after{
  position: absolute;
  left: 120px;
  top: 30px;
  content:"";
  width: 20px;
  height: 20px;
  border-radius: 50%;
  overflow: hidden;
  background-color: transparent;    
}

#finish1.hilite::after,#finish2.hilite::after,#finish3.hilite::after,#finish4.hilite::after{
  background-color: #ffff5c;    
}

#gamestable {
  float: left;
  width: auto;
  margin-left: 20px;
  margin-top: 20px;
}

tr:nth-child(even) {background-color: gainsboro;}

tr:nth-child(odd) {background-color: whitesmoke;}

th, td {
  padding: 5px;
  text-align: center;
}

th{
    background-color: gray;
    color: #ffffff;
    border: 1px solid black;
}

.disabledbtn {
  color: gray;
  border-color: gray;
  cursor: not-allowed;
}

#playerstable {
  float: right;
  width: auto;
  margin-right: 25px;
  margin-top: 20px;
}

#playerstable td:nth-child(1) {
    text-align: left; 
    width: 150px;
}

#playerstable td:nth-child(2) {
    text-align: center; 
    width: 40px;
}

#gamestable td:nth-child(2),#gamestable td:nth-child(3),#gamestable td:nth-child(5),#gamestable td:nth-child(6){
    text-align: left;
    width: 150px;
}

#gamestable td:nth-child(1),#gamestable td:nth-child(4),#gamestable td:nth-child(7){
    text-align: center;
    width: 30px;
}

#gamestable td:nth-child(8){
    text-align: center;
    width: 50px;
}

.notselect{
    transform: scale(1.5);
    margin: 10px;
    outline: none;
    font-size: 14px;
    color: blue;
}

#notselect {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #ffffff;
  border-radius: 0px;
  border: 1px solid black;
  cursor: pointer;
  font-weight: 700;
  padding: 5px;
  background-color: gray;
}

#dateselect{
    font-size: 16px;
    margin-top: 2px;
    padding: 5px;
    width: 180px;
}

#selectlabel{
    display: inline;
}

#selectdiv{
    display: inline-block;
    margin-left: 15px;
    margin-top: 19px; 
    text-align: center;
    width: 200px;
}

button{
    position: relative;
    font-weight: bold;
    font-family: 'Open Sans', sans-serif !important;
    font-size: 16px;
    width: 90px;
    height: 60px;
    padding-bottom: 20px;
    margin: 10px;
    border-radius: 18px;
    cursor: pointer;
    color: darkred;
    background-image: linear-gradient(to top, lightgray, white);
    border: 3px double #242424;
    box-shadow: 5px 5px 12px -2px #B3B3B3;
    margin-left: 0;
}

#restbutton::after{
  position: absolute;
  left: 12px;
  top: 45px;
  content:"";
  width: 60px;
  height: 8px;
  border-radius: 12px;
  overflow: hidden;
  background-color: transparent;    
}

#restbutton.hilite::after{
  background-color: #ff2e2e;    
}

#removebutton::after{
  position: absolute;
  left: 12px;
  top: 45px;
  content:"";
  width: 60px;
  height: 8px;
  border-radius: 12px;
  overflow: hidden;
  background-color: transparent;    
}

#removebutton.hilite::after{
  background-color: #ff2e2e;    
}

#changebutton::after{
  position: absolute;
  left: 12px;
  top: 45px;
  content:"";
  width: 60px;
  height: 8px;
  border-radius: 12px;
  overflow: hidden;
  background-color: transparent;    
}

#changebutton.hilite::after{
  background-color: #ff2e2e;    
}

#addplayerbutton::after{
  position: absolute;
  left: 7px;
  top: 30px;
  content:"";
  width: 100px;
  height: 20px;
  border-radius: 12px;
  overflow: hidden;
  background-color: transparent;    
}

#addplayerbutton.hilite::after{
  background-color: #ff2e2e;    
}

#editplayerbutton::after{
  position: absolute;
  left: 7px;
  top: 30px;
  content:"";
  width: 100px;
  height: 20px;
  border-radius: 12px;
  overflow: hidden;
  background-color: transparent;    
}

#editplayerbutton.hilite::after{
  background-color: #ff2e2e;    
}

select{
    display: inline;
}

#containerdiv{
    position: relative;
    width: 1280px;
    height: 768px;
    border: 1px solid gray;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0 !important;
    background-color: transparent;
}

#maindiv{
    float: left;
    text-align: center;
    width: 1160px;
    height: 100%;
    padding: 0 !important;
    margin: 0 !important;
    background-color: lightyellow;
    border: 0px solid teal;
    background-image: url("full-bloom.png");
    background-repeat: repeat; 
    padding-right: 0px;
    border-right: 1px solid gray;
}

#reportsdiv{
    position: absolute; 
    top: 0;
    left: 0;
    width: 1280px;
    height: 800px;
    background-color: white;  
    z-index: 10;
}

#reportheaderdiv{
    display: none;
    justify-content: space-evenly;
    font-size: 24px;
    color: blue;
}

#allplayersdiv{
    position: absolute;
    left: 10px;
    top: 30px;
    border: 1px solid green;
    padding: 15px 0 0 15px;
    margin: 0;
    width: 1150px;
    height: 715px;
    border-radius: 0px;
    background-color: #ffffff;
}

#playerscontainerdiv{
    display: flex;
    justify-content: center;
    align-content: flex-start;
    flex-wrap: wrap;
    width: 100%;
    overflow-y: scroll;
    background-color: transparent;
    padding: 0;
    margin: 0;
}


#playerbuttonsdiv{
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 1118px;
    height: 80px;
    background-color: white;
    padding: 0;
    margin: 0;
    vertical-align: center;
}


#addplayerbutton, #editplayerbutton, #saveplayerbutton{
    float: left;
    width: 120px;
}


#spacediv{
    flex: auto;
    height: 50px;
    background-color: white;
}

#closeallplayersdivbutton{    
    float: right;
    width: 180px;
    margin-right: 20px;
}


#playername, #displayname{
   font-family: 'Open Sans', sans-serif !important; 
   font-size: 16px;
   width: 150px;
   height: 40px;
   padding: 8px;
   color: black;
   margin-right: 10px;
   border-radius: 5px;
}

#playername{
    margin-left: 15px;
}

#statusdiv{

    height: 75px;
    text-align: left;
    background-color: white;
    margin-right: 10px;
    margin-top: 10px;
    background-color: white;
}


#setupdiv{
    position: absolute;
    left: 270px;
    top: 20px;
    width: 630px;
    height: 630px;
    display: flex;
    justify-content: space-around;
    border: 1px solid green;
    padding: 10px;
    border-radius: 10px;
    background-color: white;
}

#messagediv{
    z-index: 10;
    font-size: 18px;
    position: absolute;
    left: 330px;
    top: 140px;
    height: 120px;
    width: 500px;
    text-align: center;
    padding: 8px;
    border: 1px solid green;
    border-radius: 10px;
    background-color: white;
}

#messagetext {
  display: inline-block;
  text-align: center;
  position: relative;
  top: 50%;
  transform: translateY(-50%);
  width: 75%;
  margin: auto;
}


#closemessagebutton{
    float: right;
}

#helpdiv{
    position: absolute;
    left: 150px;
    top: 30px;
    width: 850px;
    height: 660px;
    font-size: 18px;
    border: 1px solid green;
    padding: 10px;
    border-radius: 10px;
    background-color: white;
    margin-bottom:10px;
}

#helpdiv li{
    margin-bottom:10px;    
}

#helpdiv span{
    color: black;
    font-weight: 600;
}

#shorthelpdiv{
    float: right;
    font-size: 18px;
    font-weight: normal;
    color: black;
    background-color: white;
    width: 810px;
}

#playerhelpdiv{
    margin-top: 20px;
    margin-bottom: 20px;
    width: 100%;
    text-align: center;
    font-weight: bold;
    font-size: 18px;
    
}

#clubnamediv{  
    text-align: center;
    font-size: 18px;
    color: darkred;
    margin-top: 5px;
}

#buttondiv{
    float: right;
    width: 110px; 
    min-height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center ;
}

#scorebuttondiv{
    float: right;
    width: 110px; 
    min-height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center ; 
    background-color: white;
    padding: 30px 0;
}

.numberbutton{
    position: relative;
    font-weight: normal;
    font-family: 'Open Sans', sans-serif !important;
    font-size: 28px;
    width: 90px;
    height: 50px;

}

#confirm1, #confirm2, #confirm3, #confirm4{
    color: darkred;
}

#finish1,#finish2,#finish3,#finish4{
    color: darkgreen;
}

#finishgamebutton{
    font-size: 16px !important;
    color: lightgray;
}

#backbutton{

}

#scorediv, #scoreplaceholderdiv{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center ; 
    position: absolute;
    top: 0;
    left: 0;
    width: 60px;
    height: 110px;
    background-color: transparent;
}

#notscoreplaceholderdiv{
    background-color: white;    
}

#upperscorediv, #lowerscorediv{
    font-size: 28px;
    width: 50px;
    height: 50px;
    padding: 5px;
    text-align: center;
    color: green;
    background-color: white;
    border-radius: 5px;
    border: 1px solid green;
}

#upperscoreplaceholderdiv, #lowerscoreplaceholderdiv{
    font-size: 28px;
    width: 50px;
    height: 50px;
    padding: 5px;
    text-align: center;
    color: lightgray;
    background-color: transparent;
    border-radius: 5px;
    border: 1px solid green;
}

#playersbutton{
    height: 180px;
}

#setupbutton,#cancelbutton,#reportsbutton,#helpbutton,#signinbutton,#restbutton,#removebutton{
    height: 60px;
}


#closesetupdivbutton{
    height: 80px;
}


#closereportsbutton{
   position: absolute;
   top: 610px;
   left:910px;
}

#printreportsbutton{
   position: absolute;
   top: 610px;
   left:800px;
}

#closehelpdivbutton{
   position: absolute;
   top: 580px;
   left:720px;
}

#pickingdiv{
    width: 100%;
    height: 24px;
    font-size: 18px;
    text-align: left;
    margin-top: 10px;
    padding-left: 5px;
    background-color: white;
}

#yellowdiv{
    display: inline-block;
    background-color: #ffff5c;
    width: 20px;
    height: 15px;
    border: 1px solid green;
    border-radius: 3px;
    margin-left: 60px;
    margin-bottom: -2px;
}

#palegreendiv{
    display: inline-block;
    background-color: palegreen;
    width: 20px;
    height: 15px;
    border: 1px solid green;
    border-radius: 3px;
    margin-left: 30px;
    margin-bottom: -2px;
}

#waitingtopdiv{
    width: 100%; 
    min-height: 80px;
    margin-top: 5px;
    padding-left: 26px;
    background:                         /* width:100% height:20px;*/
    linear-gradient(white,grey) center /   100%          20px,
    transparent;
  background-repeat:no-repeat;
  background-color: transparent;
}

#waitingmiddlediv{
    width: 100%; 
    min-height: 80px;
    margin-top: 5px;
    padding-right: 32px;
    background:                         /* width:100% height:20px;*/
    linear-gradient(white,grey) center /   100%          20px,
    transparent;
    background-repeat:no-repeat;
    background-color: transparent;
}

#bottomdiv{
    width: 100%; 
    min-height: 80px;
    margin-top: 5px;
    background:                         /* width:100% height:20px;*/
    linear-gradient(white,grey) center /   100%          20px,
    transparent;
    background-repeat:no-repeat;
    background-color: transparent;
}

#waitingbottomdiv{
    float: left;
    background-color: transparent;
    padding-left: 26px;
}

#restingdiv{
    float: right;
    background-color: transparent;
    padding-right: 32px;
}


#signindiv{
    display: flex;
    justify-content: center;    
    position: absolute;
    align-items: center;  
    top: 300px;
    left: 250px;
    width: 800px;
    height: 80px;
    margin-top:0px;
    background-color: white;
    border: 1px solid green;
}

#signintext{
    margin-right: 25px;
}

#signintext span{
    font-size: 20px;
    color: gray;
}


#club, #code{
   font-family: 'Open Sans', sans-serif !important; 
   font-size: 20px;
   width: 200px;
   padding: 5px;
   border: 1px solid green;
   border-radius: 5px;
   margin-right: 20px;
}

#submitbutton{
   height: 44px;
}


#waitinglabeldiv{
    position: absolute; 
    top: 465px;
    left: 46px;    
    font-size: 16px;    
}

.playerboxdiv{
    float: left;
    width: 105px;
    height: 70px;
    background-color: gainsboro;
    margin-right: 3px;
    margin-left: 3px;
    margin-bottom: 10px;
    border-radius: 5px;
    border: 0px solid green;
}

.playerdiv{
    position: relative;
    text-align: center;
    float: left;
    border-radius: 5px;
    width: 105px;
    height: 70px;
    border: 1px solid green;
    background-color: lavender;
    margin: 0;
}


.notplayerdiv::after{
  position: absolute;
  left: 88px;
  top: 58px;
  content:"";
  width: 12px;
  height: 6px;
  border-radius: 2px;
  overflow: hidden;
  background-color: transparent;    
}

.playerdiv::after{
  content: "";
  position: absolute;
  bottom: 0;
  right: 0;
  width: 0;
  height: 0;
  /* Adjust size by changing border widths */
  border-style: solid;
  border-width: 0 0 15px 15px; 
  border-color: transparent transparent transparent transparent;
}


.playerdiv.male::after{

    border-color: transparent transparent royalblue transparent;
}

.playerdiv.female::after{

    border-color: transparent transparent violet transparent;
}

#dummyhomediv{
    background-color: transparent;
    border: 0px dotted blue;
}

.dummy{
    position: relative;
    text-align: center;
    float: left;
    border-radius: 5px;
    width: 105px;
    height: 70px;
    background-color: transparent;
    margin-left: 5px;
    margin-top: 5px; 
}

.playerdiv:hover{
    cursor: pointer;
    border: 1px solid black;
    background-color: #ffff5c;
}

.playertext{
    margin-top: 16px;
    color: #303030;
    font-size: 20px;
    font-weight: bold;
    letter-spacing: 1px;
    padding-bottom: 3px;
    width: 100%;
}

.longname{
    font-size: 18px;
    margin-top: 20px;
}

.verylongname{
    font-size: 18px;
    font-stretch: condensed;
    margin-top: 20px;
}

.notmember{
    border-bottom: 4px solid green;
}

.notguest{
        border-bottom: 4px solid purple;
}

.gamescountdiv{
    position: absolute;
    top: 0px;
    left: 0px;
    font-size: 16px;
    color: black;
    background-color: white;  
    padding: 0px 5px;
    border-radius: 5px 0 5px 0;
    border: 0px solid black;
}

.statusdiv{
    display: none;
    position: absolute;
    top: 48px;
    left: -1px;
    width: 18px;
    font-size: 14px;
    font-weight: bold;
    color: black;
    background-color: white;  
    padding: 0 3px;
    border-radius: 0 5px 0 5px;
    border: 1px solid black;
}

.genderdiv{
    display: none;
    position: absolute;
    top: 49px;
    left: 86px;
    width: 18px;
    font-size: 14px;
    font-weight: bold;
    color: #ffffff;
    background-color: blue;  
    padding: 0px 3px;
    border-radius: 5px 0px 5px 0px;
    border: 0px solid black;
}


.guest{
    display: inline-block;
}

#headingdiv{
    display: flex;
    justify-content: center;
    width: 100%;
    height: 20px;
    font-size: 18px;
    padding-top: 10px;
    background-color: pink;
}

#courtsdiv{
    width: 100%;
    display: flex ;
    justify-content: space-around;
    margin-top: 10px;
    flex-wrap: wrap;
    align-items: space-around;
    background-color: transparent;
}

#courtnosdiv{
    position: absolute;
    top: 150px;
    left: 0;
    width: 1160px;
    display: flex;
    justify-content: space-around;
    height: 60px;
    font-size: 22px;
    margin-top: 10px;
    flex-wrap: wrap;
    align-items: center;  
    background-color: transparent;
    color: darkred;
}

#messagelinediv{
   height: 26px;
   width: 100%;
   font-size: 16px;
   border-radius: 5px;
   background-color: transparent;
   margin-top: 10px;
   color: darkred;
}

#confirmdiv{
    display: flex;
    justify-content: space-around;
    width: 100%;
    height: 75px;
    font-size: 18px;
    margin-top: 10px;
    flex-wrap: wrap;
    align-items: space-around;   
    
}

#court1div,#court2div,#court3div,#court4div,#dummycourtdiv,#court0div{
    position: relative;
    background-image: url("../img/court.jpg");
    background-repeat: no-repeat;
    background-position: center;
    display: grid;
    grid-template-columns: auto auto;
    column-gap: 10px;
    row-gap: 90px; 
    align-content: start;
    font-size: 24px;
    width:220px;
    height:302px;
    background-color: transparent;
    border: 0px solid green;
    cursor: pointer;
    padding-top:35px;
    padding-right: 0px;  
}

#court0div{
    background-image: url("../img/precourtlight.png");    
    
}

#courtno0,#courtno1,#courtno2,#courtno3,#courtno4{
    width: 218px;
    
}

.timediv{
    font-size: 16px;
    text-align: center;
    border-radius: 5px;
    color: black;
    background-color: transparent;
}


#optionsdiv{
    font-size: 16px;
    width: 500px;
    height: 608px;
    border: 0px solid green; 
    border-radius: 5px;
    padding: 10px;
}    
    
#setupbuttondiv{
    font-family: 'Open Sans', sans-serif !important;
    width: 90px;
    height: 525px;
    border: 0px solid green; 
    border-radius: 5px;
}    
    
@media print {
    
    body *{
        visibility: hidden;
    }
    
    * { margin: 0 !important; padding: 0 !important; }

    #containerdiv{

    }
    
    #reportsdiv {
        visibility: visible;
        position: absolute;
        left: 0;
        top: 0;
    }

    #reportsdiv * :not(#dateselect):not(button):not(#selectdiv):not(label){
        visibility: visible;
    }
    
    #dateselect,button,#selectdiv,label{
        display: none;    
    }
    
    #gamestable{
        display: inline-block;
        width: 740px;
        margin: 0;
        float: none;
   }
    
   #playerstable{
      display: inline-block;
      width: 190px;
      margin: 0;
      float: none;
  } 

  #reportsdiv{
    position: absolute; 
    top: 0;
    left: 0;
    width: 1280px;
    z-index: 10;
    margin-top: 0;
  }
    
  #reportheaderdiv{
    display: flex;
    justify-content: space-evenly;
    width: 1280px;
    margin-bottom: 20px !important;
  }
  
  #reportbodydiv{
    margin-top: 20px !important;
    display: flex;
    justify-content: space-evenly;
    align-items: flex-start;
    width: 1280px;
  }  
  
  label[for=dateselect]{
      display: none;
  }
  

    
    
    
    
    
    
}   
    
